# Generated by Django 4.2.3 on 2023-11-08 16:02

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("core", "0048_remove_designruleresult_session_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="Article",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("slug", models.CharField(max_length=2000, unique=True)),
                ("title", models.TextField(max_length=100)),
                ("summary", models.TextField()),
                ("published_at", models.DateField()),
                ("content_html", models.TextField()),
                ("topics", models.ManyToManyField(to="core.topic")),
            ],
            options={
                "ordering": ("-published_at",),
            },
        ),
    ]
